## org.opengis.referencing.crs
Interface VerticalCRS

All Superinterfaces:
  CoordinateReferenceSystem, IdentifiedObject, ReferenceSystem, SingleCRS

    @UML(identifier="SC_VerticalCRS",
         specification=ISO_19111)
    public interface VerticalCRS

extends SingleCRS

A 1D coordinate reference system used for recording heights or depths. Vertical CRSs make use of the direction of gravity to define the concept of height or depth, but the relationship with gravity may not be straightforward. By implication, ellipsoidal heights (h) cannot be captured in a vertical coordinate reference system. Ellipsoidal heights cannot exist independently, but only as inseparable part of a 3D coordinate tuple defined in a geographic 3D coordinate reference system.

Used with CS type(s)
`Vertical`

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface SingleCRS
`getCoordinateSystem, getDatum`

Methods inherited from interface ReferenceSystem
`getDomainOfValidity, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.